#include "BmpUtil.h"

#pragma once



class CNMImgTabButton : public CButton
{
public:
	CNMImgTabButton();
	virtual ~CNMImgTabButton();


public:
	enum BUTTON_STATE
	{
		BUTTON_SELECTED		= 0,
		BUTTON_UNSELECTED	= 3,
	};


public:
	virtual void	DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	void			SetButtonText(CString strText);
	int				GetHeight();
	int				GetWidth();
	BOOL			GetSelected() { return m_bTabSelected; }

public:
	/**
	@brief  ̹  ư, normal, normal, normal, disable   ̹ 
	@param  strFileName ̹
	@param  nMask ũ  RGB
	@see   
	*/
	void			SetTabBitmapFile(CString strFileName,UINT nMakse); // set button image..	
	void			SetTapSelected();// make button enable/disable
	void			SetTapUnSelected();	
	void			SetTextColor(COLORREF crSelect, COLORREF crUnselect);
	void			EnableHandCursor(BOOL bUseHand);
protected:
	CBmpUtil		m_bmpImage;			// save image.
	UINT			m_nMask;			// save mask
	BOOL			m_bTabSelected;		// enable or disable	
	CRect			m_rectButton;		// about button's position
	CRect			m_rectButtonPos;	// about button's position
	
	CString			m_strBtnText;		// button text
	COLORREF		m_crSelect;			// text color - selected
	COLORREF		m_crUnselect;		// text color - unselected

	BOOL			m_bUseHandCursor;
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	
	DECLARE_MESSAGE_MAP()
};

